User forums > Announcements

Code::Blocks 10.05 has arrived

<< < (18/18)

jens:

--- Quote from: leosubhadeep on August 05, 2012, 12:01:51 am ---
--- Quote from: vanangamudi on January 22, 2012, 03:42:38 pm ---When will the next stable version will be released... I'm waiting to see some feature to override all other IDE's and I really love Code::Blocks... thanx to developers..

--- End quote ---
I am waiting for some developments on the IDE, too. It's good, but can be better. The error tracing is satisfactory either, but it again has  to be improved. Code::Blocks rocks overall. I am new of using it, and I'm lovin' it.  ::)

--- End quote ---
See the nightly builds forum: http://forums.codeblocks.org/index.php/board,20.0.html

I removed the ad from your signature.
Our forum rules do not allow commercial ads in signature or elsewhere.

dfatcb:
If the nightlys' are more stable than the current release, why not stop and make a release, or maybe create an installer to install the nightlys'.   I don't want to have to guess that I'm updating everything okay and mess up the build environment.  I just want to run setup and have it find the existing version and offer to upgrade it.  ??

Folco:
So use the 10.05.
Code::Blocks is a free software. The goal of a free software programmer is to improve the software itself, not to provide a safe way to install it for you. It should request a too huge effort to test all possible configurations. If your priority is the safety of your environment, use the 10.05 version, or use another soft.

At least you could try with a sandbox, if you absolutely want a new feature which isn't present in the 10.05 release. But that's at your own risk.

spencerkingston19:
Hey,

Just downloaded windows 8 and now my compiler does not work anymore.
GNU GCC Compiler is what I have. And using the newest version so 10.05 or whatever.

Does anyone know why this is happening??

Thanks

jens:

--- Quote from: spencerkingston19 on November 02, 2012, 06:50:49 pm ---Hey,

Just downloaded windows 8 and now my compiler does not work anymore.
GNU GCC Compiler is what I have. And using the newest version so 10.05 or whatever.

Does anyone know why this is happening??

Thanks

--- End quote ---
Do not post the same question three times please.

If you use the MinGW shipped with the 10.05 release, I strongly suggest to update it to a newer version.
I suggest: http://tdm-gcc.tdragon.net/.
You probably need to correct your toolchain after the installation.
I also suggest to remove the old MinGW compiler from your system.

The prerelease of win8 worked with C::B (not tested with 10.05) and TDM's MinGW, but there might be some "security" features that have changed and prevent the compiler from working without some tweaking.

Navigation

[0] Message Index

[*] Previous page

Go to full version